package thyyxxk.webserver.entity.executeItem;

/**
 * @Description:
 * @Author:lihong
 * @Date: 2024/1/9
 */
public enum FrequencyEnum {
    week7("week7","7"),
    week1("week1","1"),
    week2("week2","2"),
    week3("week3","3"),
    week4("week4","4"),
    week5("week5","5"),
    week6("week6","6"),
    day2400("day2400","00:00"),
    day030("day030","00:30"),
    day100("day100","01:00"),
    day130("day130","01:30"),
    day200("day200","02:00"),
    day230("day230","02:30"),
    day300("day300","03:00"),
    day330("day330","03:30"),
    day400("day400","04:00"),
    day430("day430","04:30"),
    day500("day500","05:00"),
    ;

    private String fieldName;
    private String occTime;

    FrequencyEnum(String fieldName, String occTime) {
        this.fieldName = fieldName;
        this.occTime = occTime;
    }
}
